require 'puppet/resource_api'

Puppet::ResourceApi.register_type(
  name: 'dsc_xd7storefrontwebreceiverpluginassistant',
  dscmeta_resource_friendly_name: 'XD7StoreFrontWebReceiverPluginAssistant',
  dscmeta_resource_name: 'VE_XD7StoreFrontWebReceiverPluginAssistant',
  dscmeta_resource_implementation: 'MOF',
  dscmeta_module_name: 'XenDesktop7',
  dscmeta_module_version: '2.10.0',
  docs: 'The DSC XD7StoreFrontWebReceiverPluginAssistant resource type.
         Automatically generated from version 2.10.0',
  features: ['simple_get_filter', 'canonicalize', 'custom_insync'],
  attributes: {
    name: {
      type:      'String',
      desc:      'Description of the purpose for this resource declaration.',
      behaviour: :namevar,
    },
    validation_mode: {
      type:      'Enum[property, resource]',
      desc:      'Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode (resource).',
      behaviour: :parameter,
      default:   'property',
    },
    dsc_html5chromeapppreferences: {
      type: 'Optional[String]',
      desc: 'The Html5 Chrome Application preferences',

      mandatory_for_get: false,
      mandatory_for_set: false,
      mof_type: 'String',
      mof_is_embedded: false,
    },
    dsc_html5enabled: {
      type: "Optional[Enum['Always', 'Fallback', 'Off']]",
      desc: 'Method of deploying and using the Html5 Receiver',

      mandatory_for_get: false,
      mandatory_for_set: false,
      mof_type: 'String',
      mof_is_embedded: false,
    },
    dsc_macospath: {
      type: 'Optional[String]',
      desc: 'Path to the MacOS Receiver',

      mandatory_for_get: false,
      mandatory_for_set: false,
      mof_type: 'String',
      mof_is_embedded: false,
    },
    dsc_protocolhandlerskipdoublehopcheckwhendisabled: {
      type: 'Optional[Boolean]',
      desc: 'Skip the Protocol Handle double hop check',

      mandatory_for_get: false,
      mandatory_for_set: false,
      mof_type: 'Boolean',
      mof_is_embedded: false,
    },
    dsc_upgradeatlogin: {
      type: 'Optional[Boolean]',
      desc: 'Prompt to upgrade older clients',

      mandatory_for_get: false,
      mandatory_for_set: false,
      mof_type: 'Boolean',
      mof_is_embedded: false,
    },
    dsc_psdscrunascredential: {
      type: 'Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]',
      desc: ' ',
      behaviour: :parameter,
      mandatory_for_get: false,
      mandatory_for_set: false,
      mof_type: 'PSCredential',
      mof_is_embedded: true,
    },
    dsc_protocolhandlerplatforms: {
      type: 'Optional[String]',
      desc: 'The supported Protocol Handler platforms',

      mandatory_for_get: false,
      mandatory_for_set: false,
      mof_type: 'String',
      mof_is_embedded: false,
    },
    dsc_showafterlogin: {
      type: 'Optional[Boolean]',
      desc: 'Show Receiver client detection after the user logs in',

      mandatory_for_get: false,
      mandatory_for_set: false,
      mof_type: 'Boolean',
      mof_is_embedded: false,
    },
    dsc_html5platforms: {
      type: 'Optional[String]',
      desc: 'The supported Html5 platforms',

      mandatory_for_get: false,
      mandatory_for_set: false,
      mof_type: 'String',
      mof_is_embedded: false,
    },
    dsc_storename: {
      type: 'String',
      desc: 'StoreFront store name',
      behaviour: :namevar,
      mandatory_for_get: true,
      mandatory_for_set: true,
      mof_type: 'String',
      mof_is_embedded: false,
    },
    dsc_protocolhandlerenabled: {
      type: 'Optional[Boolean]',
      desc: 'Enable the Receiver Protocol Handler',

      mandatory_for_get: false,
      mandatory_for_set: false,
      mof_type: 'Boolean',
      mof_is_embedded: false,
    },
    dsc_html5preferences: {
      type: 'Optional[String]',
      desc: 'Html5 Receiver preferences',

      mandatory_for_get: false,
      mandatory_for_set: false,
      mof_type: 'String',
      mof_is_embedded: false,
    },
    dsc_win32path: {
      type: 'Optional[String]',
      desc: 'Path to the Windows Receiver',

      mandatory_for_get: false,
      mandatory_for_set: false,
      mof_type: 'String',
      mof_is_embedded: false,
    },
    dsc_macosminimumsupportedversion: {
      type: 'Optional[String]',
      desc: 'Minimum version of the MacOS supported',

      mandatory_for_get: false,
      mandatory_for_set: false,
      mof_type: 'String',
      mof_is_embedded: false,
    },
    dsc_html5chromeapporigins: {
      type: 'Optional[String]',
      desc: 'The Html5 Chrome Application Origins settings',

      mandatory_for_get: false,
      mandatory_for_set: false,
      mof_type: 'String',
      mof_is_embedded: false,
    },
    dsc_html5singletablaunch: {
      type: 'Optional[Boolean]',
      desc: 'Launch Html5 Receiver in the same browser tab',

      mandatory_for_get: false,
      mandatory_for_set: false,
      mof_type: 'Boolean',
      mof_is_embedded: false,
    },
    dsc_enabled: {
      type: 'Optional[Boolean]',
      desc: 'Enable Receiver client detection',

      mandatory_for_get: false,
      mandatory_for_set: false,
      mof_type: 'Boolean',
      mof_is_embedded: false,
    },
  },
)
